<template>
  <div class="client-set">
    <div class="page-navs">
      <Button
        :type="curNav.name === nav.name ? 'primary' : 'default'"
        v-for="(nav, index) in navs"
        :key="index"
        @click="switchNav(nav)"
        >{{ nav.title }}</Button
      >
    </div>

    <router-view />
  </div>
</template>

<script>
import { clientSetNavs } from "@/routers/main";
import menuMixins from "@/components/homeMenuMixins";

export default {
  name: "client-set",
  mixins: [menuMixins],
  data() {
    return {
      navs: clientSetNavs,
      curNav: {}
    };
  },
  mounted() {
    this.actCurNav(this.$route);
  },
  methods: {}
};
</script>
